local uiCalls, thisObj
local nextHintIndex = 1
local deathHints = {
  39620,
  39621,
  39622
}
function OnScriptLoaded(level, obj)
  thisObj = obj
  game.SubObject.Sleep(obj)
end
local uiCalls_LoadLibrary = function()
  if uiCalls == nil then
    uiCalls = require("ui.uicalls")
  end
end
function EventFailed_BothFiresExtinguished()
  uiCalls_LoadLibrary()
  uiCalls.UI_Event_Queue_Death_Tip(deathHints[nextHintIndex])
  nextHintIndex = nextHintIndex + 1
  if nextHintIndex > #deathHints then
    nextHintIndex = 1
  end
  game.SubObject.SoftSave(thisObj)
end
function OnSaveCheckpoint(level, obj)
  return {nextHintIndex = nextHintIndex}
end
function OnRestoreCheckpoint(level, obj, savedInfo)
  nextHintIndex = savedInfo.nextHintIndex
end
